-

Important changes to Barclays Mobile Banking

You won’t be able to use your app on some devices and older operating systems

We’re sorry – from mid-February , if you have any of these devices or an old operating system, you won’t be able to log in to your app any more

  • Apple devices using iOS 9.2 or below
  • Android devices using operating system 4.3 or below
  • All Apple Watches
  • All Windows phones

Why are we making these changes?

We want to provide you with the best, most secure version of your app. We can’t meet that standard on some devices and older operating systems.

We told you in December

We emailed you about these changes in December. You can look back at the email if you want more information. We also sent you a follow-up text message.

If you didn’t get the email, you can see it here .

What can I do?

You can update your Apple or Android device to the latest operating system, then you can use your app like normal.

If you can’t, you can still bank online, by calling us or by visiting one of our branches.

If you have any questions, give us a call us and we’ll be happy to help.